(*
Notice of Copyright Ownership

Copyright (c) 2003-2010 Jensen Data Systems. Inc.

This code was produced by and is copyrighted by Jensen Data Systems, Inc. All data 
mentioned or referred to, including names, addresses, phone numbers, descriptions, 
and images, are fictitious. Any resemblance to actual persons, companies, and products 
is purely coincidental.

This code is intended to be used in conjunction with database examples and 
descriptions found in the book: 
1. Advantage Database Server: A Developer's Guide, 2nd Edition 
by Cary Jensen, Ph.D. and Loy Anderson, Ph.D. (2010, Jensen Data Systems, Inc.)

For information on purchasing this book, visit:
http://www.JensenDataSystems.com/ADSBook10
*)
unit mainformu;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, adscnnct, StdCtrls, Grids, DBGrids, DB, DBCtrls, ExtCtrls, ComCtrls;

type
  TMainForm = class(TForm)
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    StatusBar1: TStatusBar;
    DBNavigator1: TDBNavigator;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

uses AdsDataModuleu, EmployeeChangeThreadu;

{$R *.dfm}

var
  EmployeeThread: TEmployeeChangeMonitor;


procedure TMainForm.FormCreate(Sender: TObject);
begin
  AdsDataModule.AdsTable1.Open;
  EmployeeThread := TEmployeeChangeMonitor.Create(False,
                       AdsDataModule.AdsConnection1);
end;

procedure TMainForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
 EmployeeThread.Terminate;
 EmployeeThread.WaitFor;
 EmployeeThread.Free;
end;

end.
